AuditorFlags (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.s3a.audit, enum: AuditorFlags

Package org.apache.hadoop.fs.s3a.audit

# Enum Class AuditorFlags

java.lang.Object
java.lang.Enum<AuditorFlags>
org.apache.hadoop.fs.s3a.audit.AuditorFlags

All Implemented Interfaces:
  `Serializable`, `Comparable<AuditorFlags>`, `Constable`

public enum AuditorFlags extends Enum<AuditorFlags>
Flags which can be passed down during initialization, or after it.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PermitOutOfBandOperations`
  Are out of band operations allowed?

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AuditorFlags`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AuditorFlags[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PermitOutOfBandOperations

    public static final AuditorFlags PermitOutOfBandOperations
    Are out of band operations allowed?

- ## Method Details

  - ### values

    public static AuditorFlags[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AuditorFlags valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null